me.legofreak107.vehiclesplus.vehicles.api.events

## Class VehicleCollisionEvent

- java.lang.Object
- - org.bukkit.event.Event
  - - me.legofreak107.vehiclesplus.vehicles.api.events.VehicleCollisionEvent

All Implemented Interfaces:
  org.bukkit.event.Cancellable

    public class VehicleCollisionEvent
    extends org.bukkit.event.Event
    implements org.bukkit.event.Cancellable

### Nested Class Summary

### Nested classes/interfaces inherited from class org.bukkit.event.Event

`org.bukkit.event.Event.Result`

### Constructor Summary

Constructors
Constructor and Description
`VehicleCollisionEvent(SpawnedVehicle vehicle, org.bukkit.entity.Entity collisionEntity)` This event is triggered when a vehicle hits another entity
`VehicleCollisionEvent(SpawnedVehicle vehicle, SpawnedVehicle collisionVehicle)` This event is triggered when a vehicle hits another vehicle

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`org.bukkit.entity.Entity` `getCollisionEntity()`
`CollisionMode` `getCollisionMode()`
`SpawnedVehicle` `getCollisionVehicle()`
`static org.bukkit.event.HandlerList` `getHandlerList()`
`org.bukkit.event.HandlerList` `getHandlers()`
`SpawnedVehicle` `getVehicle()`
`boolean` `isCancelled()`
`boolean` `isDamage()`
`boolean` `isPush()`
`void` `setCancelled(boolean cancelled)`
`void` `setDamage(boolean damage)`
`void` `setPush(boolean push)`

### Methods inherited from class org.bukkit.event.Event

`getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VehicleCollisionEvent

    public VehicleCollisionEvent(SpawnedVehicle vehicle,
                                 SpawnedVehicle collisionVehicle)

This event is triggered when a vehicle hits another vehicle

Parameters:
  `vehicle` - the vehicle triggering the event
  `collisionVehicle` - the vehicle that got hit by the triggering vehicle

#### VehicleCollisionEvent

    public VehicleCollisionEvent(SpawnedVehicle vehicle,
                                 org.bukkit.entity.Entity collisionEntity)

This event is triggered when a vehicle hits another entity

Parameters:
  `vehicle` - the vehicle triggering the event
  `collisionEntity` - the entity that was hit by the triggering vehicle

### Method Detail

#### getHandlers

    public org.bukkit.event.HandlerList getHandlers()

Specified by:
  `getHandlers` in class `org.bukkit.event.Event`

#### getHandlerList

    public static org.bukkit.event.HandlerList getHandlerList()

#### getVehicle

    public SpawnedVehicle getVehicle()

#### getCollisionVehicle

    public SpawnedVehicle getCollisionVehicle()

#### getCollisionEntity

    public org.bukkit.entity.Entity getCollisionEntity()

#### getCollisionMode

    public CollisionMode getCollisionMode()

#### isPush

    public boolean isPush()

#### setPush

    public void setPush(boolean push)

#### isDamage

    public boolean isDamage()

#### setDamage

    public void setDamage(boolean damage)

#### isCancelled

    public boolean isCancelled()

Specified by:
  `isCancelled` in interface `org.bukkit.event.Cancellable`

#### setCancelled

    public void setCancelled(boolean cancelled)

Specified by:
  `setCancelled` in interface `org.bukkit.event.Cancellable`